Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026475
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalhave not tried2014-05-06 15:492014-05-12 06:11
ReporteralostaleView Statuspublic 
Assigned Toguillermogil 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision1a02b5e28247
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelAutomated tests
Regression date2014-05-06
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/2b6197ee4047ba07391b3063dfc21edf398ef5e1 [^]
Triggers an Emergency PackNo
Summary

0026475: Product selector is not working

DescriptionProduct selector is not working.

Problem is in AdvancedQueryBuilder.substituteContextParameters method, this loop never ends:

while (ancestorTab != null && paramValue.equals("")) {
 ...
}
Steps To Reproduce-In Sales Order try to open product selector -> No value is returned.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 00263573.0PR14Q3 closedguillermogil If you have a window with one tab without a parent key, the tab data is not refreshed 

-  Notes
(0066849)
hgbot (developer)
2014-05-06 16:06

Repository: erp/devel/pi
Changeset: 1a02b5e28247a84820d82bf17397129b95186a25
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Tue May 06 16:05:42 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1a02b5e28247a84820d82bf17397129b95186a25 [^]

Fixed issue 26475:Product selector is not working

While loop was not stopping, ancestorTab was always updating its value with the same value

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0067002)
hudsonbot (developer)
2014-05-07 18:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test
(0067079)
shankarb (developer)
2014-05-12 06:11

Code reviewed and verified in pi changeset 497b9af3dd75.

- Issue History
Date Modified Username Field Change
2014-05-06 15:49 alostale New Issue
2014-05-06 15:49 alostale Assigned To => guillermogil
2014-05-06 15:49 alostale Modules => Core
2014-05-06 15:49 alostale Triggers an Emergency Pack => No
2014-05-06 15:50 alostale Regression level => Automated tests
2014-05-06 15:50 alostale Regression date => 2014-05-06
2014-05-06 15:50 alostale Regression introduced by commit => http://code.openbravo.com/erp/devel/pi/rev/dfa6251edace4557a4206f25aa783115b4cef5e7 [^]
2014-05-06 15:50 alostale Relationship added has duplicate 0026357
2014-05-06 16:01 guillermogil Regression introduced by commit http://code.openbravo.com/erp/devel/pi/rev/dfa6251edace4557a4206f25aa783115b4cef5e7 [^] => https://code.openbravo.com/erp/devel/pi/rev/2b6197ee4047ba07391b3063dfc21edf398ef5e1 [^]
2014-05-06 16:01 guillermogil Issue Monitored: shankarb
2014-05-06 16:01 guillermogil Review Assigned To => shankarb
2014-05-06 16:06 hgbot Checkin
2014-05-06 16:06 hgbot Note Added: 0066849
2014-05-06 16:06 hgbot Status new => resolved
2014-05-06 16:06 hgbot Resolution open => fixed
2014-05-06 16:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1a02b5e28247a84820d82bf17397129b95186a25 [^]
2014-05-07 18:12 hudsonbot Checkin
2014-05-07 18:12 hudsonbot Note Added: 0067002
2014-05-12 06:11 shankarb Note Added: 0067079
2014-05-12 06:11 shankarb Status resolved => closed
2014-05-12 06:11 shankarb Fixed in Version => PR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker